{
  "type": "minecraft:fishing",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "weight": 5,
          "name": "minecraft:shared_loot_table"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 5,
          "name": "minecraft:shared_loot_table2"
        },
        {
          "type": "minecraft:loot_table",
          "weight": 2,
          "name": "minecraft:shared_loot_table",
          "conditions": [
            {
              "condition": "minecraft:match_tool",
              "predicate": {
                "item": "minecraft:fishing_rod",
                "nbt": "{kyutrinketrod:1b}"
              }
            }
          ]
        },
        {
          "type": "minecraft:loot_table",
          "weight": 2,
          "name": "minecraft:shared_loot_table2",
          "conditions": [
            {
              "condition": "minecraft:match_tool",
              "predicate": {
                "item": "minecraft:fishing_rod",
                "nbt": "{kyuspellpagerod:1b}"
              }
            }
          ]
        },
        {
          "type": "minecraft:loot_table",
          "weight": 5,
          "name": "minecraft:shared_loot_table",
          "conditions": [
            {
              "condition": "minecraft:match_tool",
              "predicate": {
                "item": "minecraft:fishing_rod",
                "nbt": "{kyutrinketrodt2:1b}"
              }
            }
          ]
        },
        {
          "type": "minecraft:loot_table",
          "weight": 5,
          "name": "minecraft:shared_loot_table2",
          "conditions": [
            {
              "condition": "minecraft:match_tool",
              "predicate": {
                "item": "minecraft:fishing_rod",
                "nbt": "{kyuspellpagerodt2:1b}"
              }
            }
          ]
        },
        {
          "type": "minecraft:loot_table",
          "weight": 10,
          "name": "minecraft:shared_loot_table",
          "conditions": [
            {
              "condition": "minecraft:match_tool",
              "predicate": {
                "item": "minecraft:fishing_rod",
                "nbt": "{kyutrinketrodt3:1b}"
              }
            }
          ]
        },
        {
          "type": "minecraft:loot_table",
          "weight": 10,
          "name": "minecraft:shared_loot_table2",
          "conditions": [
            {
              "condition": "minecraft:match_tool",
              "predicate": {
                "item": "minecraft:fishing_rod",
                "nbt": "{kyuspellpagerodt3:1b}"
              }
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "name": "minecraft:name_tag"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "name": "minecraft:saddle"
        },
        {
          "type": "minecraft:item",
          "weight": 20,
          "name": "minecraft:trident"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_damage",
              "damage": {
                "min": 0,
                "max": 0.25
              }
            },
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30,
              "treasure": true
            }
          ],
          "name": "minecraft:bow"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:set_damage",
              "damage": {
                "min": 0,
                "max": 0.25
              }
            },
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30,
              "treasure": true
            }
          ],
          "name": "minecraft:fishing_rod"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": 30,
              "treasure": true
            }
          ],
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
          "name": "minecraft:nautilus_shell"
        }
      ]
    }
  ]
}
